org.apache.ignite.internal.commandline

## Class Arguments

- java.lang.Object
- - org.apache.ignite.internal.commandline.Arguments

    public class Arguments
    extends Object

Bean with all parsed and validated arguments.

### Constructor Summary

Constructors
Constructor and Description
`Arguments(Command cmd, String host, String port, String user, String pwd, String baselineAct, String baselineArgs, long pingTimeout, long pingInterval, VisorTxTaskArg txArg, boolean force, CacheArguments cacheArgs)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `baselineAction()`
`String` `baselineArguments()`
`CacheArguments` `cacheArgs()`
`Command` `command()`
`boolean` `force()`
`String` `host()`
`String` `password()`
`long` `pingInterval()` See `GridClientConfiguration.pingInterval`.
`long` `pingTimeout()` See `GridClientConfiguration.pingTimeout`.
`String` `port()`
`VisorTxTaskArg` `transactionArguments()`
`String` `user()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Arguments

    public Arguments(Command cmd,
                     String host,
                     String port,
                     String user,
                     String pwd,
                     String baselineAct,
                     String baselineArgs,
                     long pingTimeout,
                     long pingInterval,
                     VisorTxTaskArg txArg,
                     boolean force,
                     CacheArguments cacheArgs)

Parameters:
  `cmd` - Command.
  `host` - Host.
  `port` - Port.
  `user` - User.
  `pwd` - Password.
  `baselineAct` - Baseline action.
  `baselineArgs` - Baseline args.
  `txArg` - TX arg.
  `force` - Force flag.
  `pingTimeout` - Ping timeout. See `GridClientConfiguration.pingTimeout`.
  `pingInterval` - Ping interval. See `GridClientConfiguration.pingInterval`.
  `cacheArgs` - --cache subcommand arguments.

### Method Detail

#### command

    public Command command()

Returns:
  command

#### host

    public String host()

Returns:
  host name

#### port

    public String port()

Returns:
  port number

#### user

    public String user()

Returns:
  user name

#### password

    public String password()

Returns:
  password

#### baselineAction

    public String baselineAction()

Returns:
  baseline action

#### baselineArguments

    public String baselineArguments()

Returns:
  baseline arguments

#### pingTimeout

    public long pingTimeout()

See `GridClientConfiguration.pingTimeout`.

Returns:
  Ping timeout.

#### pingInterval

    public long pingInterval()

See `GridClientConfiguration.pingInterval`.

Returns:
  Ping interval.

#### transactionArguments

    public VisorTxTaskArg transactionArguments()

Returns:
  Transaction arguments.

#### force

    public boolean force()

Returns:
  Force option.

#### cacheArgs

    public CacheArguments cacheArgs()

Returns:
  Arguments for --cache subcommand.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018